Skip to main content
GET
/
agent_skills
/
{id}
Get agent skill
curl --request GET \
  --url https://api.akua.dev/v1/agent_skills/{id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "<string>",
  "workspace_id": "<string>",
  "name": "<string>",
  "version": "<string>",
  "description": "<string>",
  "required_grants": [
    {
      "resource": "<string>",
      "actions": [
        "<string>"
      ]
    }
  ],
  "supported_capabilities": [],
  "created_at": 1,
  "updated_at": 1,
  "etag": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://akua-1dce587a.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

workspace API token (sk_akua_...) or OAuth2 JWT. Create tokens at https://akua.dev/developers/api-tokens

Path Parameters

id
string
required
Required string length: 1 - 54

Response

Agent skill

id
string
required
Required string length: 1 - 54
workspace_id
string
required
Required string length: 1 - 53
name
string
required
version
string
required
description
string
required
state
enum<string>
required
Available options:
PUBLISHED,
ARCHIVED
required_grants
object[]
required
supported_capabilities
enum<string>[]
required
Available options:
CHAT,
CODING,
AMBIENT
created_at
integer
required

Unix timestamp (seconds)

Required range: x >= 0
updated_at
integer
required

Unix timestamp (seconds)

Required range: x >= 0
etag
string
required